---
title: HTMLImageElement.naturalHeight
slug: Web/API/HTMLImageElement/naturalHeight
tags:
  - API
  - HTMLImageElement
  - Intrinsic Height
  - Reference
  - Vertical
  - naturalHeight
  - size
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLImageElement")}} interface's <code><strong>naturalHeight</strong></code> property is a read-only value which returns the intrinsic (natural), density-corrected height of the image in {{Glossary("CSS pixel", "CSS pixels")}}.</span> This is the height the image is if drawn with nothing constraining its height; if you don't specify a height for the image, or place the image inside a container that either limits or expressly specifies the image height, it will be rendered this tall.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>naturalHeight</em> = <em>htmlImageElement</em>.naturalHeight;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the intrinsic height, in CSS pixels, of the image. This is the height at which the image is naturally drawn when no constraint or specific value is established for the image. This natural height is corrected for the pixel density of the device on which it's being presented, unlike {{domxref("HTMLImageElement.height", "height")}}.</p>

<p>If the intrinsic height is not available—either because the image does not specify an intrinsic height or because the image data is not available in order to obtain this information, <code>naturalHeight</code> returns 0.</p>

<h2 id="Example">Example</h2>

<p>This example displays both the natural, density-adjusted size of an image as well as its rendered size as altered by the page's CSS and other factors.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div class="box"&gt;
  &lt;img src="/files/16797/clock-demo-400px.png" class="image"&gt;
&lt;/div&gt;
&lt;div class="output"&gt;
&lt;/div&gt;</pre>

<p>The HTML features a 400x398 pixel image which is placed inside a {{HTMLElement("div")}}.</p>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">.box {
  width: 200px;
  height: 200px;
}

.image {
  width: 100%;
}

.output {
  padding-top: 2em;
}</pre>

<p>The main thing of note in the CSS above is that the style used for the container the image will be drawn in is 200px wide, and the image will be drawn to fill its width (100%).</p>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let output = document.querySelector(".output");
let image = document.querySelector("img");

window.addEventListener("load", event =&gt; {
  output.innerHTML += `Natural size: ${image.naturalWidth} x ` +
                      `${image.naturalHeight} pixels&lt;br&gt;`;
  output.innerHTML += `Displayed size: ${image.width} x ` +
                      `${image.height} pixels`;
});
</pre>

<p>The JavaScript code dumps the natural and as-displayed sizes into the {{HTMLElement("div")}} with the class <code>output</code>. This is done in response to the window's {{domxref("Window.load_event", "load")}} event handler, in order to ensure that the image is available before attempting to examine its width and height.</p>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 600, 280)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-naturalheight', 'HTMLImageElement.naturalheight')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.naturalHeight")}}</p>
